//Forest.pov
//Basic example of the Vegetate include file

#declare VegeObject = height_field{
	pattern 500,500
	{
		hf_gray_16
		bozo scale .1
		color_map{
			[0 rgb 0]
			[1 rgb 1]
		}
	}
	pigment{
		gradient y
		color_map{
			[0 rgb<0,1,0>]
			[1 rgb<.3,.7,.1>]
		}
	}
	scale <25,2,25>
} //A simple heightfield

#declare VegeAlign = false; //Set to true to have the trees sticking straight
                            //out from the hills
#declare VegeNumber = 500; //500 objects
//Use the default object (a simple tree)
//The defaults for VegeMinBox and VegeMaxBox of the minimum and maximum corners
// of the bounding box will work just fine here

#include "vegetate.inc" //Include here, not at the top
object{ VegeObject } //Needed to get a copy of the object shown in the scene

camera{
	location <1000,1000,1000>
	look_at <12.5,0,12.5>
	angle .6
}
light_source{ <-25,300,-25> rgb 1 }